View Issue Details

IDProjectCategoryView StatusLast Update
0000042Multi Theft Auto[All Projects] Serverpublic2018-09-01 20:14
ReporterCallumAssigned ToSugarD-x 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0000042: Support for Macintosh servers
DescriptionAs Linux and Macintosh use similar programming concepts and functions, it shouldn't be too hard to extend server support for Apple Macintosh. As rare as Macintosh servers are, there are still people who use them.

My only concern is how we can test and compile the code for Macintosh. Do any developers have a Macintosh?
TagsNo tags attached.

Activities

SugarD-x

SugarD-x

2012-09-10 22:54

administrator   ~0000018

Last edited: 2012-09-10 22:55

View 3 revisions

Keep in mind, to correctly support this, it can only be made compatible with the Intel x86/x86-64 architecture on the Intel-based Mac systems. PowerPC, due to the differing architecture, would likely not be able to support this, unless somehow made usable under the "Universal Binary" Mac OS X standards.

It is likely that any Mac OS versions prior to Mac OS X won't be supported for multiple reasons.

VRocker

VRocker

2012-09-11 13:53

reporter   ~0000021

There is absolutely no point to this. Nobody uses a mac server and the marketshare for mac desktops is only 5% of the world.
If you want to port it to something useful you could port it to BSD instead, Mac is a bastardised version of BSD after all plus BSD is used on quite a few servers.
SugarD-x

SugarD-x

2018-08-02 15:41

administrator   ~0000119

I don't see why both couldn't be done.

That being said, I do have access to a Hackintosh setup now that I could test it on. No idea how it will react to that environment, but theoretically it should work. I also have an older PowerMac-based system somewhere I could set up, but I don't think this code will play friendly with that CPU architecture.
SugarD-x

SugarD-x

2018-09-01 02:44

administrator   ~0000166

This is officially working, however shares a connection bug with Ubuntu builds that causes the client to timeout repeatedly upon connection. Once fixed for both build types, this will be set to "resolved", and may ship with 0.6 Nightly 2.

Issue History

Date Modified Username Field Change
2012-09-09 13:08 Callum New Issue
2012-09-10 22:54 SugarD-x Note Added: 0000018
2012-09-10 22:55 SugarD-x Note Edited: 0000018 View Revisions
2012-09-10 22:55 SugarD-x Note Edited: 0000018 View Revisions
2012-09-11 13:53 VRocker Note Added: 0000021
2015-07-21 04:30 ixjf Target Version 0.6 => 0.6.1
2018-01-06 17:40 SugarD-x Status new => feedback
2018-08-02 15:41 SugarD-x Note Added: 0000119
2018-09-01 02:44 SugarD-x Assigned To => SugarD-x
2018-09-01 02:44 SugarD-x Status feedback => confirmed
2018-09-01 02:44 SugarD-x Note Added: 0000166
2018-09-01 19:59 SugarD-x Status confirmed => resolved
2018-09-01 19:59 SugarD-x Resolution open => fixed
2018-09-01 19:59 SugarD-x Fixed in Version => 0.6
2018-09-01 20:14 SugarD-x Target Version 0.6.1 => 0.6